org.apache.solr.client.solrj.io.stream

## Class InnerJoinStream

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.TupleStream
  - - org.apache.solr.client.solrj.io.stream.JoinStream
    - - org.apache.solr.client.solrj.io.stream.BiJoinStream
      - - org.apache.solr.client.solrj.io.stream.InnerJoinStream

- All Implemented Interfaces:
    Closeable, Serializable, AutoCloseable, Expressible

      public class InnerJoinStream
      extends BiJoinStream
      implements Expressible

  Joins leftStream with rightStream based on a Equalitor. Both streams must be sorted by the fields being joined on. Resulting stream is sorted by the equalitor.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.client.solrj.io.stream.BiJoinStream

      `iterationComparator, leftStream, leftStreamComparator, rightStream, rightStreamComparator`

    - ### Fields inherited from class org.apache.solr.client.solrj.io.stream.JoinStream

      `eq`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InnerJoinStream(StreamExpression expression, StreamFactory factory)`
    `InnerJoinStream(TupleStream leftStream, TupleStream rightStream, StreamEqualitor eq)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StreamComparator` | `getStreamSort()`
    `Tuple` | `read()`

    - ### Methods inherited from class org.apache.solr.client.solrj.io.stream.BiJoinStream

      `validateTupleOrder`

    - ### Methods inherited from class org.apache.solr.client.solrj.io.stream.JoinStream

      `children, close, getCost, getStream, isValidTupleOrder, loadEqualTupleGroup, open, setStreamContext, toExplanation, toExpression`

    - ### Methods inherited from class org.apache.solr.client.solrj.io.stream.TupleStream

      `getStreamNodeId, writeStreamClose, writeStreamOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.solr.client.solrj.io.stream.expr.Expressible

      `toExplanation, toExpression`

- - ### Constructor Detail

    - #### InnerJoinStream

          public InnerJoinStream(TupleStream leftStream,
                                 TupleStream rightStream,
                                 StreamEqualitor eq)
                          throws IOException

      Throws:
        `IOException`

    - #### InnerJoinStream

          public InnerJoinStream(StreamExpression expression,
                                 StreamFactory factory)
                          throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### read

          public Tuple read()
                     throws IOException

      Specified by:
        `read` in class `TupleStream`
      Throws:
        `IOException`

    - #### getStreamSort

          public StreamComparator getStreamSort()

      Specified by:
        `getStreamSort` in class `TupleStream`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.